paso::Preconditioner Struct Reference

`#include <Preconditioner.h>`

## Public Attributes

dim_t | type
dim_t | sweeps
Preconditioner_Smoother * | jacobi
| Jacobi preconditioner. More...
Preconditioner_Smoother * | gs
| Gauss-Seidel preconditioner. More...
Solver_ILU * | ilu
| ILU preconditioner. More...
Solver_RILU * | rilu
| RILU preconditioner. More...

## Member Data Documentation

## gs

Preconditioner_Smoother* paso::Preconditioner::gs

Gauss-Seidel preconditioner.

Referenced by paso::Preconditioner_alloc(), paso::Preconditioner_free(), and paso::Preconditioner_solve().

## ilu

Solver_ILU* paso::Preconditioner::ilu

ILU preconditioner.

Referenced by paso::Preconditioner_alloc(), paso::Preconditioner_free(), and paso::Preconditioner_solve().

## jacobi

Preconditioner_Smoother* paso::Preconditioner::jacobi

Jacobi preconditioner.

Referenced by paso::Preconditioner_alloc(), paso::Preconditioner_free(), and paso::Preconditioner_solve().

## rilu

Solver_RILU* paso::Preconditioner::rilu

RILU preconditioner.

Referenced by paso::Preconditioner_alloc(), paso::Preconditioner_free(), and paso::Preconditioner_solve().

## sweeps

dim_t paso::Preconditioner::sweeps

Referenced by paso::Preconditioner_alloc(), and paso::Preconditioner_solve().

## type

dim_t paso::Preconditioner::type

Referenced by paso::Preconditioner_alloc(), and paso::Preconditioner_solve().

The documentation for this struct was generated from the following file:

- Preconditioner.h